Page MenuHomePhabricator

[mlir:PDLL] Add support for inlay hints
ClosedPublic

Authored by rriddle on May 19 2022, 4:38 PM.

Details

Summary

These allow for displaying additional inline information,
such as the types of variables, names operands/results,
constraint/rewrite arguments, etc. This requires a bump in the
vscode extension to a newer version, as inlay hints are a new LSP feature.

Diff Detail

Event Timeline

rriddle created this revision.May 19 2022, 4:38 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 19 2022, 4:38 PM
rriddle requested review of this revision.May 19 2022, 4:38 PM
rriddle updated this revision to Diff 431758.May 24 2022, 12:23 PM
rriddle edited the summary of this revision. (Show Details)
rriddle updated this revision to Diff 433929.Jun 2 2022, 5:41 PM
jpienaar accepted this revision.Jun 5 2022, 10:40 AM
jpienaar added inline comments.
mlir/lib/Tools/mlir-pdll-lsp-server/PDLLServer.cpp
66

s/slightly//

mlir/utils/vscode/tsconfig.json
4 ↗(On Diff #433929)

Why this change?

This revision is now accepted and ready to land.Jun 5 2022, 10:40 AM
This revision was landed with ongoing or failed builds.Jun 6 2022, 8:20 PM
This revision was automatically updated to reflect the committed changes.
rriddle marked 2 inline comments as done.